import '../modules/init.ts';
import { User, UserInit } from '../models/user.ts';
import { Org, OrgInit } from '../models/org.ts';
import { where } from 'sequelize';
import { useContextKey } from '@kevisual/use-config/context';
const sequelize = useContextKey('sequelize');
const meUserName = 'o-NDO62XGeyEQoz_Sytz-1UUB7kw';
const id = '09cef25c-719d-422a-9ec4-2c266cc6e73d';
const rootId = '14206305-8b5c-44cc-b177-766cfe2e452f';
const systemOrgId = 'ca129111-4f30-476e-adf5-acf51ed5ce28';
export const main = async () => {
  await UserInit();
  await OrgInit();

  // const users = await User.findAll();
  // for (const user of users) {
  //   console.log('user', user.id, user.username);
  // }
  const me = await User.findByPk(id);
  const org = await Org.findOne({
    where: {
      username: 'system',
    },
  });
  console.log('org', org.toJSON());
  const res = await org.addUser(me, {
    // operateId: rootId,
    // operateId: id,
    role: 'admin',
    // isAdmin: true,
    // needPermission: true,
  });
  // await org.removeUser(me, {
  //   operateId: rootId,
  // });
  process.exit(0);
};

export const remove = async () => {
  await UserInit();
  await OrgInit();
  const me = await User.findByPk(rootId);
  const org = await Org.findOne({
    where: {
      username: 'system',
    },
  });
  await org.removeUser(me, {
    isAdmin: true,
  });
  process.exit(0);
};
const updatePassword = async () => {
  await UserInit();
  await OrgInit();
  const user = await User.findByPk(rootId);
  await user.createPassword('xxxxxx');
  process.exit(0);
};

// updatePassword();

const getList = async () => {
  await UserInit();
  await OrgInit();
  const orgs = await Org.findAll();
  for (const user of orgs) {
    console.log('user-name', user.username);
    console.log('user', user.id, user.users, '\n');
  }
  process.exit(0);
};

// await main();

await getList();
// remove();